guicomponents

## Class FCScheme

- java.lang.Object
- - guicomponents.FCScheme

- All Implemented Interfaces:
    GConstants

      public class FCScheme
      extends Object
      implements GConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BLUE_SCHEME`
    `static int` | `CYAN_SCHEME`
    `static int` | `GREEN_SCHEME`
    `static int` | `GREY_SCHEME`
    `static int` | `ORANGE_SCHEME`
    `static int` | `PURPLE_SCHEME`
    `static int` | `RED_SCHEME`
    `static int` | `SCHEME_10`
    `static int` | `SCHEME_11`
    `static int` | `SCHEME_12`
    `static int` | `SCHEME_13`
    `static int` | `SCHEME_14`
    `static int` | `SCHEME_15`
    `static int` | `SCHEME_8`
    `static int` | `SCHEME_9`
    `static int` | `YELLOW_SCHEME`

    - ### Fields inherited from interface guicomponents.GConstants

      `ADD_DUPLICATE, BACKGROUND, CHANGED, CLICKED, CLOSE_WINDOW, COLLAPSED, CTRL_ANGULAR, CTRL_HORIZONTAL, CTRL_VERTICAL, DESELECTED, DISABLE_AUTO_DRAW, DRAGGED, ENTERED, EXCP_IN_HANDLER, EXIT_APP, EXPANDED, FAMILY, FOREGROUND, HUD_UNSUPPORTED, INVALID_STATUS, JUSTIFICATION, JUSTIFICATION_FULL, JUSTIFICATION_NONE, KEEP_OPEN, MISSING, NONEXISTANT, NOT_PEASYCAM, POSTURE, POSTURE_OBLIQUE, POSTURE_REGULAR, PRESSED, RELEASED, RUNTIME_ERROR, SCROLL_DOWN, SCROLL_LEFT, SCROLL_RIGHT, SCROLL_UP, SCROLLBAR_HORIZONTAL, SCROLLBAR_VERTICAL, SCROLLBARS_AUTOHIDE, SCROLLBARS_BOTH, SCROLLBARS_HORIZONTAL_ONLY, SCROLLBARS_NONE, SCROLLBARS_VERTICAL_ONLY, SELECTED, SET, SIZE, STRIKETHROUGH, STRIKETHROUGH_OFF, STRIKETHROUGH_ON, SUPERSCRIPT, SUPERSCRIPT_SUB, SUPERSCRIPT_SUPER, USER_COL_SCHEME, WEIGHT, WEIGHT_BOLD, WEIGHT_DEMIBOLD, WEIGHT_DEMILIGHT, WEIGHT_EXTRA_LIGHT, WEIGHT_EXTRABOLD, WEIGHT_HEAVY, WEIGHT_LIGHT, WEIGHT_MEDIUM, WEIGHT_REGULAR, WEIGHT_SEMIBOLD, WEIGHT_ULTRABOLD, WIDTH, WIDTH_CONDENSED, WIDTH_EXTENDED, WIDTH_REGULAR, WIDTH_SEMI_CONDENSED, WIDTH_SEMI_EXTENDED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FCScheme()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int[]` | `getColor(PApplet theApplet, int schemeNo)` Set the color scheme to one of the preset schemes BLUE / GREEN / RED / PURPLE / YELLOW / CYAN / GREY or if you have created your own schemes following the instructions at gui4processing.lagers.org.uk/colorscheme.html then you can enter the appropriate numeric value of the scheme.
    `static Color[]` | `getJavaColor(PApplet theApplet, int schemeNo)` Set the color scheme to one of the preset schemes BLUE / GREEN / RED / PURPLE / YELLOW / CYAN / GREY or if you have created your own schemes following the instructions at gui4processing.lagers.org.uk/colorscheme.html then you can enter the appropriate numeric value of the scheme.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RED_SCHEME

          public static final int RED_SCHEME

      See Also:
        Constant Field Values

    - #### GREEN_SCHEME

          public static final int GREEN_SCHEME

      See Also:
        Constant Field Values

    - #### YELLOW_SCHEME

          public static final int YELLOW_SCHEME

      See Also:
        Constant Field Values

    - #### PURPLE_SCHEME

          public static final int PURPLE_SCHEME

      See Also:
        Constant Field Values

    - #### ORANGE_SCHEME

          public static final int ORANGE_SCHEME

      See Also:
        Constant Field Values

    - #### CYAN_SCHEME

          public static final int CYAN_SCHEME

      See Also:
        Constant Field Values

    - #### BLUE_SCHEME

          public static final int BLUE_SCHEME

      See Also:
        Constant Field Values

    - #### GREY_SCHEME

          public static final int GREY_SCHEME

      See Also:
        Constant Field Values

    - #### SCHEME_8

          public static final int SCHEME_8

      See Also:
        Constant Field Values

    - #### SCHEME_9

          public static final int SCHEME_9

      See Also:
        Constant Field Values

    - #### SCHEME_10

          public static final int SCHEME_10

      See Also:
        Constant Field Values

    - #### SCHEME_11

          public static final int SCHEME_11

      See Also:
        Constant Field Values

    - #### SCHEME_12

          public static final int SCHEME_12

      See Also:
        Constant Field Values

    - #### SCHEME_13

          public static final int SCHEME_13

      See Also:
        Constant Field Values

    - #### SCHEME_14

          public static final int SCHEME_14

      See Also:
        Constant Field Values

    - #### SCHEME_15

          public static final int SCHEME_15

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FCScheme

          public FCScheme()

  - ### Method Detail

    - #### getColor

          public static int[] getColor(PApplet theApplet,
                       int schemeNo)

      Set the color scheme to one of the preset schemes BLUE / GREEN / RED / PURPLE / YELLOW / CYAN / GREY or if you have created your own schemes following the instructions at gui4processing.lagers.org.uk/colorscheme.html then you can enter the appropriate numeric value of the scheme.
      Parameters:
        `theApplet` -
        `schemeNo` -
      Returns:
        the color scheme based on the scheme number

    - #### getJavaColor

          public static Color[] getJavaColor(PApplet theApplet,
                             int schemeNo)

      Set the color scheme to one of the preset schemes BLUE / GREEN / RED / PURPLE / YELLOW / CYAN / GREY or if you have created your own schemes following the instructions at gui4processing.lagers.org.uk/colorscheme.html then you can enter the appropriate numeric value of the scheme.
      Parameters:
        `theApplet` -
        `schemeNo` -
      Returns:
        the color scheme based on the scheme number

Processing library guicomponents by Peter Lager. (C) 2012